- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Examples
- Try it!
Creates a new private connection in a given project and location.
HTTP request
POST https://datamigration.googleapis.com/v1/{parent}/privateConnections
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent that owns the collection of PrivateConnections. Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
privateConnectionId |
Required. The private connection identifier. |
requestId |
Optional. A unique ID used to identify the request. If the server receives two requests with the same ID, then the second request is ignored. It is recommended to always set this value to a UUID. The ID must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters. |
skipValidation |
Optional. If set to true, will skip validations. |
validateOnly |
Optional. For PSC Interface only - get the tenant project before creating the resource. |
Request body
The request body contains an instance of PrivateConnection.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
datamigration.privateconnections.create
For more information, see the IAM documentation.